Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.introspector
Class PropertyUtils

    java.lang.Object
      org.yaml.snakeyaml.introspector.PropertyUtils

    public class PropertyUtils

extends Object

Constructor Summary
`PropertyUtils()`

Method Summary
`protected Set<Property>` | `createPropertySet(Class<? extends Object> type, BeanAccess bAccess)`
`Set<Property>` | `getProperties(Class<? extends Object> type)`
`Set<Property>` | `getProperties(Class<? extends Object> type, BeanAccess bAccess)`
`protected Map<String,Property>` | `getPropertiesMap(Class<?> type, BeanAccess bAccess)`
`Property` | `getProperty(Class<? extends Object> type, String name)`
`Property` | `getProperty(Class<? extends Object> type, String name, BeanAccess bAccess)`
`void` | `setAllowReadOnlyProperties(boolean allowReadOnlyProperties)`
`void` | `setBeanAccess(BeanAccess beanAccess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyUtils

    public PropertyUtils()

Method Detail

### getPropertiesMap

    protected Map<String,Property> getPropertiesMap(Class<?> type,
                                                    BeanAccess bAccess)
                                             throws IntrospectionException

  Throws:
    `IntrospectionException`

### getProperties

    public Set<Property> getProperties(Class<? extends Object> type)
                                throws IntrospectionException

  Throws:
    `IntrospectionException`

### getProperties

    public Set<Property> getProperties(Class<? extends Object> type,
                                       BeanAccess bAccess)
                                throws IntrospectionException

  Throws:
    `IntrospectionException`

### createPropertySet

    protected Set<Property> createPropertySet(Class<? extends Object> type,
                                              BeanAccess bAccess)
                                       throws IntrospectionException

  Throws:
    `IntrospectionException`

### getProperty

    public Property getProperty(Class<? extends Object> type,
                                String name)
                         throws IntrospectionException

  Throws:
    `IntrospectionException`

### getProperty

    public Property getProperty(Class<? extends Object> type,
                                String name,
                                BeanAccess bAccess)
                         throws IntrospectionException

  Throws:
    `IntrospectionException`

### setBeanAccess

    public void setBeanAccess(BeanAccess beanAccess)

### setAllowReadOnlyProperties

    public void setAllowReadOnlyProperties(boolean allowReadOnlyProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.